package cc.fascinated.backend.controller;

import cc.fascinated.backend.model.Paste;
import cc.fascinated.backend.service.PasteService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping(value = "/api")
public class PasteController {

    private final PasteService pasteService;

    @Autowired
    public PasteController(PasteService pasteService) {
        this.pasteService = pasteService;
    }

    @PostMapping(value = "/upload")
    public ResponseEntity<?> uploadPaste(@RequestBody String content, @RequestHeader(value = HttpHeaders.CONTENT_TYPE, required = false) String contentType) {
        String id = pasteService.createPaste(content, contentType);
        return ResponseEntity.ok(Map.of("key", id));
    }

    @GetMapping(value = "/paste/{id}")
    public ResponseEntity<Paste> getPaste(@PathVariable String id) {
        Paste paste = pasteService.getPaste(id);
        return ResponseEntity.ok(paste);
    }
}
